# README

## Start project via docker

### Quickstart

Pull all repositories in one folder: 
* revizor_api
* revizor_portal
* revizor_app

Init database config:
```bash
cp /config/database.yml.example /config/database.yml
```

Start all services:
```bash
docker-compose up -d
```
Services:
* rev_api
* rev_sidekiq
* rev_portal
* rev_app
* rev_postgres
* rev_redis
* rev_es

Start certain services:
```bash
docker-compose up -d service_name1 service_name2 ...
```

Stop all services:
```bash
docker-compose down
```

All services will be started in development mode (API: `RAILS_ENV=development`, FRONT: `npm run dev`). No need to restart containers while code creating. It will update automatically.

Database will contain seed data after container start.

### Daily

Keep all repositories up-to-date

Force recreating and rebuilding services (if needed):
```bash
docker-compose up -d --force-recreate --build
```

Jump into api container
```bash
docker exec -it api_portal bash
```

Watch container logs
```bash
docker logs container_name
```

Run special command in api container
```bash
docker exec -it api_portal command
```

Cleanup node_modules (delete volume with node_modules):
```bash
docker volume ls
docker volume rm volume_name
```