# frozen_string_literal: true

module Admin
  class SchedulesChannel < ApplicationCable::Channel
    def subscribed
      if current_user.superadmin? || current_user.admin?
        stream_from "admin:schedule:#{connection.current_project_type}"
      elsif current_user.curator?
        stream_from "admin:schedule:#{connection.current_project_type}:#{current_user.id}"
      end
    end
  end
end
