# frozen_string_literal: true

module Api
  module Admin
    class CalendarDaysController < BaseController
      before_action :set_calendar_day

      def update
        authorize @calendar_day, :update?

        result = CalendarDays::Update.call(@calendar_day, params, current_user)

        if result.success?
          render json: CalendarDaySerializer.render(@calendar_day)
        else
          render json: { code: 422, errors: result.failure }, status: :unprocessable_entity
        end
      end

      private

      def set_calendar_day
        @calendar_day = CalendarDay.find(params[:id])
      end
    end
  end
end
