# frozen_string_literal: true

module Api
  module Admin
    class ProjectTypesController < BaseController
      skip_before_action :authorize_by_access_cookie!

      def set
        authorize :project_type, :set?

        response.set_cookie('project_type',
                            path: '/',
                            value: ProjectTypes::ALLOWED_TYPES[params[:project_type].to_sym],
                            httponly: true,
                            secure: Rails.env.production?)

        head :no_content
      end
    end
  end
end
