# frozen_string_literal: true

module Api
  module Auth
    class BaseController < ApplicationController
      private

      def set_access_cookie(tokens) # rubocop:disable Naming/AccessorMethodName
        response.set_cookie(
          JWTSessions.access_cookie,
          value: tokens[:access],
          httponly: true,
          path: '/',
          secure: Rails.env.production?
        )
      end
    end
  end
end
