# frozen_string_literal: true

class BuildZipFileJob < ApplicationJob
  sidekiq_options retry: false

  def perform(inspection_id, user)
    inspection = Inspection.find(inspection_id)
    result = FileArchives::CreateZip.call(inspection)

    op_res = result.success? ? :success : :failure
    ws_msg = { result: op_res, fileArchiveId: inspection.id }
    ws_msg.merge(message: result.failure) if result.failure?

    ZipChannel.broadcast_to(user, ws_msg)
  end
end
