# frozen_string_literal: true

module InspectionSchedules
  class CleanJob < ApplicationJob
    sidekiq_options retry: false

    def perform(calendar_month, current_user)
      result = InspectionSchedules::Clean.call(calendar_month)
      ErrorsChannel.broadcast_to(current_user, action: 'error', errors: result.failure) unless result.success?
    end
  end
end
