# frozen_string_literal: true

module InspectionSchedules
  class CreateJob < ApplicationJob
    sidekiq_options retry: false

    def perform(calendar_month, current_user, checklist)
      result = InspectionSchedules::Create.call(calendar_month, checklist)
      ErrorsChannel.broadcast_to(current_user, action: 'error', errors: result.failure) unless result.success?
    end
  end
end
