# frozen_string_literal: true

module WorkSchedules
  class CreateJob < ApplicationJob
    sidekiq_options retry: false

    def perform(calendar_month, current_user)
      result = WorkSchedules::Create.call(calendar_month)
      ErrorsChannel.broadcast_to(current_user, action: 'error', errors: result.failure) unless result.success?
    end
  end
end
