# frozen_string_literal: true

module WorkSchedules
  class UpdateJob < ApplicationJob
    sidekiq_options retry: false

    def perform(calendar_month, params, current_user)
      result = WorkSchedules::Update.call(calendar_month, params, current_user)
      ErrorsChannel.broadcast_to(current_user, action: 'error', errors: result.failure) unless result.success?
    end
  end
end
