# frozen_string_literal: true

class CamelizedPartialRenderer
  static_facade :call
  pattr_initialize %i[partial locals]

  def call
    camelize(
      ApplicationController.render(
        partial: partial,
        locals: locals
      )
    )
  end

  private

  def camelize(data)
    OliveBranch::Transformations.transform(MultiJson.load(data), OliveBranch::Transformations.method(:camelize))
  end
end
