# frozen_string_literal: true

module Auth
  class PasswordsMailer < ApplicationMailer
    def forgot(user)
      @user = user
      @recovery_password_link = @user.generate_recovery_password_link + "&role=#{user.role}"
      mail(to: @user.email, subject: 'Восстановление пароля в системе Мобильный Ревизор')
    end

    def invite(user)
      @user = user
      @recovery_password_link = @user.generate_recovery_password_link
      mail(to: @user.email, subject: 'Новая учетная запись в системе Мобильный Ревизор')
    end
  end
end
