# frozen_string_literal: true

class Checklist < ApplicationRecord
  include ProjectTypes

  searchkick

  has_many :checklists_blocks, dependent: :restrict_with_exception
  has_many :blocks, through: :checklists_blocks
  has_many :inspections, dependent: :restrict_with_error

  validates :name, presence: true

  def search_data
    attributes.slice('project_type', 'name', 'created_at')
  end
end
