# frozen_string_literal: true

module Archivable
  extend ActiveSupport::Concern

  included do
    scope :not_archived, -> { where(archived_at: nil) }
    scope :archived, -> { where.not(archived_at: nil) }

    def archive
      update(archived_at: Time.current)
    end
  end
end
