# frozen_string_literal: true

class Criterion < ApplicationRecord
  include ProjectTypes
  include Archivable

  acts_as_list scope: [:project_type, archived_at: nil], sequential_updates: true

  INPUT_TYPES = %w[input select checkbox].freeze

  searchkick

  validates :title, presence: true
  validates :input_type, presence: true, inclusion: INPUT_TYPES
  validates :select_options, presence: true, if: -> { input_type == 'select' }
  validates :position, uniqueness: { scope: %i[project_type archived_at] }
end
