# frozen_string_literal: true

class InspectionResult < ApplicationRecord
  POSSIBLE_RESULTS = { passed: 'passed', failed: 'failed', cant_evaluate: 'cant_evaluate' }.freeze

  enum result: POSSIBLE_RESULTS

  belongs_to :inspection
  belongs_to :block
  belongs_to :group, optional: true
  belongs_to :parameter

  has_many_attached :files

  validates :result, presence: true
end
