# frozen_string_literal: true

class Report < ApplicationRecord
  include ProjectTypes

  searchkick

  KINDS = { inspections: 'inspections' }.freeze
  STATES = { generating: 'generating', generated: 'generated' }.freeze

  enum kind: KINDS
  enum state: STATES

  validates :state, presence: true
  validates :kind, presence: true

  def search_data
    attributes.slice('id', 'kind', 'created_at')
  end
end
