# frozen_string_literal: true

class ReportMatrix
  attr_initialize :date_range, :parameter_index, :result_matrix, :weekly_summary_matrix
  attr_reader :date_range, :parameter_index, :result_matrix, :weekly_summary_matrix

  def self.from_json(json)
    deserialized = JSON[json]
    deserialized['date_range'] = deserialized['date_range'].split('..').inject { |s, e| Date.parse(s)..Date.parse(e) }
    new(*deserialized.values)
  end
end
