# frozen_string_literal: true

module Inspections
  class ExtractViolatedParameterIds
    static_facade :call
    pattr_initialize :inspection

    def call # rubocop:disable Metrics/CyclomaticComplexity, Metrics/MethodLength, Metrics/PerceivedComplexity
      return [] if inspection.raw_data.blank?

      parameter_ids = []
      parsed_inspection_raw_data = JSON[inspection.raw_data]

      parsed_inspection_raw_data['blocks']&.each do |raw_block|
        raw_block['groups']&.each do |raw_group|
          raw_group['parameters']&.each do |raw_parameter|
            parameter_ids << raw_parameter['uid'] if raw_parameter['issue'] == 'failed'
          end
        end
      end

      # compact для существующих древних инспекций без uid на стейдже, в реальной эксплуатации таких быть не должно
      parameter_ids&.compact
    end
  end
end
