# frozen_string_literal: true

module Admin
  class CriterionPolicy < ApplicationPolicy
    def index?
      user.superadmin? || user.admin? || user.curator?
    end

    def show?
      user.superadmin? || user.admin_of_project?(record.project_type)
    end

    def create?
      index?
    end

    def update?
      show?
    end

    def update_position?
      show?
    end

    def destroy?
      show?
    end
  end
end
