# frozen_string_literal: true

module Admin
  class InspectionPolicy < ApplicationPolicy
    def index?
      user.superadmin? || user.admin? || user.curator?
    end

    def show?
      return true if user.superadmin?
      return true if user.admin_of_project?(record.inspectable_type.downcase)
      return true if user.curator_of?(record.inspector)

      false
    end
    alias update? show?
    alias cancel? show?
    alias mass_destroy? show?

    def create?
      return true if user.superadmin?
      return true if user.admin?
      return true if user.curator?

      false
    end
  end
end
