# frozen_string_literal: true

module Admin
  class PoliclinicPolicy < ApplicationPolicy
    def index?
      return true if user.superadmin?
      return true if user.admin_of_project?('policlinic')
      return true if user.curator? && user.project_type == 'policlinic'

      false
    end

    def show?
      index?
    end

    def create?
      return true if user.superadmin?
      return true if user.admin_of_project?('policlinic')

      false
    end

    def update?
      create?
    end

    def destroy?
      create?
    end
  end
end
