# frozen_string_literal: true

module Admin
  class UserPolicy < ApplicationPolicy
    def index?
      user.curator? || user.admin? || user.superadmin?
    end

    def show?
      return true if user.superadmin?
      return true if user.admin_of_project?(record.project_type)
      return true if user.curator? && user == record.curator

      false
    end

    def create?
      user.superadmin? || user.admin?
    end

    def destroy?
      return true if user.superadmin?

      create? && user.project_type == record.project_type
    end

    def mass_update?
      user.superadmin? || user.admin?
    end

    alias update? show?
    alias reactivate? destroy?
  end
end
