# frozen_string_literal: true

module Admin
  class VacationPolicy < ApplicationPolicy
    def index?
      user.superadmin? || user.admin? || user.curator?
    end

    def show?
      return true if user.superadmin?
      return true if user.admin_of_project?(record.user.project_type)
      return true if user.curator_of?(record.user)

      false
    end

    def create?
      index?
    end

    def destroy?
      return true if user.curator_of?(record.user)

      create?
    end

    def update?
      destroy?
    end
  end
end
