# frozen_string_literal: true

class InspectionPolicy < ApplicationPolicy
  def index?
    user.present?
  end

  def update?
    record.inspector == user
  end
  alias show? update?
  alias start? update?
  alias finish? update?

  def attach_file?
    user.superadmin? ||
      user.admin_of_project?(record.inspector.project_type) ||
      user.curator_of?(record.inspector) ||
      record.inspector == user
  end
  alias purge_file? attach_file?
end
