# frozen_string_literal: true

class FileArchiveSearcher < BaseSearcher
  model Inspection

  includes :inspector, :inspectable

  filter :inspector_id, Array
  filter :inspectable_id, Array
  filter :checklist_id, Array
  filter :date, Hash
  filter :parameter_id, Array, method: :apply_parameter_id_filter

  def apply_parameter_id_filter(value)
    where[:violated_parameter_ids] = value if value.present?
  end

  def after_filter
    scope = if current_user.superadmin? || current_user.admin?
              { project_type: current_project_type }
            elsif current_user.curator?
              { inspector_id: current_user.inspector_ids }
            end

    scope[:state] = [:finished]

    where[:_and] = [scope]
  end
end
