# frozen_string_literal: true

class InspectionSearcher < BaseSearcher
  includes :inspector, :inspectable, :checklist

  filter :inspector_id, Array
  filter :inspectable_id, Array
  filter :checklist_id, Array
  filter :state, Array
  filter :date, Hash
  filter :cancel_reason, Array

  sorting :id
  sorting :date
  sorting :state
  sorting :inspectable_name
  sorting :checklist_name

  def after_filter
    scope = if current_user.superadmin? || current_user.admin?
              { project_type: current_project_type }
            elsif current_user.curator?
              { inspector_id: current_user.inspector_ids }
            end

    where[:_and] = [scope]
  end
end
