# frozen_string_literal: true

class MfcSearcher < BaseSearcher
  includes :district, :territory
  search_fields :name

  filter :administrative_district_id, Array
  filter :territory_id, Array
  filter :division, Array
  filter :kind, Array

  sorting :id
  sorting :name
  sorting :address
  sorting :division
  sorting :kind
  sorting :'territory.name'
  sorting :'administrative_district.name'

  def apply_base_scope
    where[:archived_at] = nil
  end
end
