# frozen_string_literal: true

class PoliclinicSearcher < BaseSearcher
  includes :district, :administrative_district
  search_fields :name

  filter :administrative_district_id, Array
  filter :district_id, Array
  filter :kind, Array
  filter :size, Array

  sorting :id
  sorting :name
  sorting :'district.name'
  sorting :'administrative_district.name'
  sorting :address
  sorting :kind
  sorting :size
  sorting :time_to_inspect_minutes

  def apply_base_scope
    where[:archived_at] = nil
  end
end
