# frozen_string_literal: true

class VacationSearcher < BaseSearcher
  includes user: [:curator]

  search_fields :'user.full_name'

  filter :'user.curator_id', Array
  filter :starts_at, Array
  filter :ends_at, Array
  filter :'user.project_type', Array

  sorting :id
  sorting :starts_at
  sorting :ends_at
  sorting :'user.full_name'
  sorting :'user.curator.full_name'

  def after_filter
    scope = if current_user.superadmin?
              { 'user.project_type': ProjectTypes::ALLOWED_TYPES.values }
            elsif current_user.admin?
              { 'user.project_type': current_project_type }
            elsif current_user.curator?
              { 'user.curator_id': current_user.id }
            end

    where[:_and] = [scope]
  end
end
