# frozen_string_literal: true

class InspectionSerializer < Blueprinter::Base
  transform LowerCamelTransformer

  fields :id, :date, :starts_at, :ends_at, :state, :cancel_reason

  field :inspector_short_full_name do |inspection|
    inspection.inspector.short_full_name
  end

  field :time_to_inspect_minutes do |inspection|
    inspection.inspectable.respond_to?(:time_to_inspect_minutes) ? inspection.inspectable.time_to_inspect_minutes : nil
  end

  field :inspector_id do |inspection|
    inspection.inspector.id
  end

  field :inspectable_name do |inspection|
    inspection.inspectable.name
  end

  field :inspectable_longitude do |inspection|
    inspection.inspectable.longitude
  end

  field :inspectable_latitude do |inspection|
    inspection.inspectable.latitude
  end

  field :inspectable_address do |inspection|
    inspection.inspectable.address
  end

  field :inspectable_id do |inspection|
    inspection.inspectable.id
  end

  field :checklist_name do |inspection|
    inspection.checklist.name
  end

  field :checklist_id do |inspection|
    inspection.checklist.id
  end

  field :project_type do |inspection|
    inspection.inspectable_type.downcase
  end
end
