# frozen_string_literal: true

class GenerateInspectionResults
  static_facade :call
  pattr_initialize :inspections

  def call
    inspections.each do |inspection|
      data = JSON[inspection.raw_data]

      data['blocks'].each do |raw_block|
        raw_block['groups'].each do |raw_group|
          raw_group['parameters'].each do |raw_parameter|
            InspectionResult.find_or_create_by!(
              inspection: inspection,
              block_id: raw_block['uid'],
              group_id: raw_group['uid'],
              parameter_id: raw_parameter['uid'],
              result: raw_parameter['issue']
            )
          end
        end
      end
    end
  end
end
