# do not enable frozen_string_literal in this file, it breaks WriteXLSX

class WriteXlsxMatrix # rubocop:disable # рубокоп повесился
  def self.call(report_matrix, file)
    horizontal_offset = 1 # Offset data horizontally, for example if we only have 1 column for parameter names - this value is going to be 1
    workbook = ::WriteXLSX.new(file)
    worksheet = workbook.add_worksheet
    worksheet.set_column('A:A', 25)
    worksheet.set_row(0, 40)

    header_format = workbook.add_format(
      text_wrap: true,
      valign: 'top',
      align: 'left',
      bold: 1
    )

    top_header_format = workbook.add_format(
      valign: 'centre',
      align: 'centre',
      bold: 1,
      color: :white,
      bg_color: :blue,
      border_color: :grey,
      border: 2
    )

    sunday_format = workbook.add_format(
      bg_color: 16,
      color: :white
    )

    # записать заголовки нарушений на первый столбец
    worksheet.write_col('A2', report_matrix.parameter_index.map {|k, _v| Parameter.find(k).title }, header_format)
    # зафиксировать заголовки во время скролла
    worksheet.freeze_panes(1, 1)

    # записать заголовок дат на первый ряд
    worksheet.write_row('B1', report_matrix.date_range.map { |d| d.strftime('%d-%b') }, top_header_format)

    # записать заголовок дат на первый ряд с дырками под суммы
    # report_matrix.date_range.each_slice(7).with_index do |week, offset|
    #   col = offset * 7 + horizontal_offset + offset
    #   worksheet.write_row(0, col, week.map(&:day), top_header_format)
    # end

    # расставить красные столбы на воскресенье
    report_matrix.date_range.each.with_index do |day_of_month, column_index|
      column = column_index + horizontal_offset
      worksheet.set_column(column, column, nil, sunday_format) if day_of_month.sunday? # сразу красим столб красным если Воскресенье
    end

    # расставить красные столбы по оффсету
    # report_matrix.date_range.each_slice(7).with_index do |week, offset|
    #   col = 7 * (offset + 1) + horizontal_offset + offset - 1
    #   worksheet.set_column(col, col, nil, sunday_format)
    # end

    # записать каунты нарушений
    worksheet.write_col('B2', report_matrix.result_matrix.to_a)

    # записать каунты нарушений блоками по неделе
    # report_matrix.result_matrix.to_a.transpose.each_slice(7).with_index do |seven_columns, offset|
    #   data = seven_columns.transpose
    #   col = offset * 7 + offset + horizontal_offset
    #   worksheet.write_col(vertical_offset, col, data)
    # end

    # записать summary отдельно справа
    # worksheet.write_col('AM2', report_matrix.weekly_summary_matrix.to_a)

    workbook.close
  end
end
