# frozen_string_literal: true

class EmailValidator < ActiveModel::EachValidator
  EMAIL_REGEXP = /\A[^@\s]+@[^@\s]+\z/.freeze

  def validate_each(record, attribute, value)
    return if EMAIL_REGEXP.match?(value)

    record.errors[attribute] << (options[:message] || I18n.t('activerecord.errors.messages.invalid_email'))
  end
end
