# frozen_string_literal: true

json.objects @objects.each do |object|
  json.call(object, :id, :name)
  json.inspections @inspections[object.id].to_a.each do |inspection|
    json.call(inspection, :id, :date, :starts_at, :ends_at)
    json.time_to_inspect_minutes inspection.inspectable.respond_to?(:time_to_inspect_minutes) ? inspection.inspectable.time_to_inspect_minutes : nil

    json.inspector_short_full_name inspection.inspector.short_full_name
    json.inspector_id inspection.inspector.id

    json.inspectable_name inspection.inspectable.name
    json.inspectable_id inspection.inspectable.id

    json.checklist_name inspection.checklist.name
    json.checklist_id inspection.checklist.id

    json.project_type inspection.inspectable_type.downcase
    json.state inspection.state
    json.cancel_reason inspection.cancel_reason
  end
  json.repair_periods object.repair_periods.by_month(@calendar_month.date).each do |repair_period|
    json.call(repair_period, :id, :starts_at, :ends_at)
  end
end
json.non_working_days @calendar_month.non_working_days.each do |day|
  json.call(day, :id, :date, :kind)
end
json.working_hours_norms @calendar_month.working_norm&.hours
json.state @calendar_month.state
