# frozen_string_literal: true

INFLECTION_TYPES = %w[camel snake dash pascal].freeze

module RevizorApi
  class Application < Rails::Application
    config.middleware.use OliveBranch::Middleware,
                          inflection: 'camel',
                          content_type_check: ->(_) { true },
                          exclude_response: ->(env) { env['REQUEST_PATH']&.match(%r{^/(api-docs|graphql|graphiql)}) },
                          exclude_params: ->(env) { env['REQUEST_PATH']&.match(%r{^/graphql}) }
  end
end
