# frozen_string_literal: true

class CreateUsers < ActiveRecord::Migration[6.0]
  def change
    create_table :users do |t|
      t.string :first_name, null: false
      t.string :middle_name
      t.string :last_name, null: false
      t.string :email, null: false, index: { unique: true }
      t.string :phone, limit: 11, index: { unique: true }
      t.string :role, null: false
      t.string :project_type, null: false

      t.timestamps
    end

    add_reference :users, :curator, foreign_key: { to_table: :users }, allow_nil: true
  end
end
