# frozen_string_literal: true

class CreateCalendarDays < ActiveRecord::Migration[6.0]
  def change
    create_table :calendar_days do |t|
      t.date :date, null: false
      t.references :user, foreign_key: true
      t.string :kind, null: false
      t.float :working_hours, default: 0, null: false

      t.timestamps
    end

    add_index :calendar_days, %i[date user_id], unique: true
  end
end
