class AddProjectTypeToCalendarMonths < ActiveRecord::Migration[6.0]
  def change
    add_column :calendar_months, :project_type, :string
    remove_column :calendar_months, :working_hours_norms, :integer

    CalendarMonth.update_all(project_type: ProjectTypes::ALLOWED_TYPES[:policlinic])

    change_column_null :calendar_months, :project_type, false
    remove_index :calendar_months, :date
    add_index :calendar_months, %i[project_type date], unique: true
  end
end
