# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# This file is the source Rails uses to define your schema when running `rails
# db:schema:load`. When creating a new database, `rails db:schema:load` tends to
# be faster and is potentially less error prone than running all of your
# migrations from scratch. Old migrations may fail to apply correctly if those
# migrations use external dependencies or application code.
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema.define(version: 2020_12_01_073022) do

  # These are extensions that must be enabled in order to support this database
  enable_extension "plpgsql"

  create_table "active_storage_attachments", force: :cascade do |t|
    t.string "name", null: false
    t.string "record_type", null: false
    t.bigint "record_id", null: false
    t.bigint "blob_id", null: false
    t.datetime "created_at", null: false
    t.index ["blob_id"], name: "index_active_storage_attachments_on_blob_id"
    t.index ["record_type", "record_id", "name", "blob_id"], name: "index_active_storage_attachments_uniqueness", unique: true
  end

  create_table "active_storage_blobs", force: :cascade do |t|
    t.string "key", null: false
    t.string "filename", null: false
    t.string "content_type"
    t.text "metadata"
    t.bigint "byte_size", null: false
    t.string "checksum", null: false
    t.datetime "created_at", null: false
    t.index ["key"], name: "index_active_storage_blobs_on_key", unique: true
  end

  create_table "administrative_districts", force: :cascade do |t|
    t.string "name", null: false
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["name"], name: "index_administrative_districts_on_name", unique: true
  end

  create_table "blocks", force: :cascade do |t|
    t.string "title", null: false
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  create_table "calendar_days", force: :cascade do |t|
    t.date "date", null: false
    t.bigint "user_id"
    t.string "kind", null: false
    t.float "working_hours", default: 0.0, null: false
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.bigint "vacation_id"
    t.bigint "calendar_month_id", null: false
    t.string "extended_kind"
    t.index ["calendar_month_id"], name: "index_calendar_days_on_calendar_month_id"
    t.index ["date", "user_id"], name: "index_calendar_days_on_date_and_user_id", unique: true
    t.index ["user_id"], name: "index_calendar_days_on_user_id"
    t.index ["vacation_id"], name: "index_calendar_days_on_vacation_id"
  end

  create_table "calendar_months", force: :cascade do |t|
    t.date "date", null: false
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.string "state", default: "initial", null: false
    t.string "project_type", null: false
    t.index ["project_type", "date"], name: "index_calendar_months_on_project_type_and_date", unique: true
  end

  create_table "checklists", force: :cascade do |t|
    t.string "project_type"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.jsonb "raw_data"
    t.string "name", null: false
  end

  create_table "checklists_blocks", force: :cascade do |t|
    t.bigint "checklist_id", null: false
    t.bigint "block_id", null: false
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["block_id"], name: "index_checklists_blocks_on_block_id"
    t.index ["checklist_id"], name: "index_checklists_blocks_on_checklist_id"
  end

  create_table "criteria", force: :cascade do |t|
    t.string "title", null: false
    t.string "input_type", null: false
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.string "project_type", null: false
    t.string "select_options", default: [], array: true
    t.datetime "archived_at"
    t.integer "position"
    t.index ["position", "project_type", "archived_at"], name: "index_criteria_on_position_and_project_type_and_archived_at", unique: true
  end

  create_table "districts", force: :cascade do |t|
    t.bigint "administrative_district_id", null: false
    t.string "name", null: false
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["administrative_district_id"], name: "index_districts_on_administrative_district_id"
    t.index ["name"], name: "index_districts_on_name", unique: true
  end

  create_table "groups", force: :cascade do |t|
    t.string "title"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  create_table "inspection_results", force: :cascade do |t|
    t.bigint "inspection_id", null: false
    t.bigint "block_id", null: false
    t.bigint "group_id"
    t.bigint "parameter_id", null: false
    t.string "result"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["block_id"], name: "index_inspection_results_on_block_id"
    t.index ["group_id"], name: "index_inspection_results_on_group_id"
    t.index ["inspection_id"], name: "index_inspection_results_on_inspection_id"
    t.index ["parameter_id"], name: "index_inspection_results_on_parameter_id"
  end

  create_table "inspections", force: :cascade do |t|
    t.string "inspectable_type", null: false
    t.bigint "inspectable_id", null: false
    t.datetime "starts_at"
    t.datetime "ends_at"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.jsonb "raw_data"
    t.string "state"
    t.date "date", null: false
    t.bigint "checklist_id", null: false
    t.bigint "inspector_id", null: false
    t.bigint "calendar_day_id"
    t.string "cancel_reason"
    t.index ["calendar_day_id"], name: "index_inspections_on_calendar_day_id"
    t.index ["checklist_id"], name: "index_inspections_on_checklist_id"
    t.index ["inspectable_type", "inspectable_id"], name: "index_inspections_on_inspectable_type_and_inspectable_id"
    t.index ["inspector_id"], name: "index_inspections_on_inspector_id"
  end

  create_table "mfcs", force: :cascade do |t|
    t.string "name", null: false
    t.bigint "district_id", null: false
    t.string "address", null: false
    t.string "division", null: false
    t.string "kind", null: false
    t.string "comment"
    t.float "longitude", null: false
    t.float "latitude", null: false
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.bigint "territory_id", null: false
    t.datetime "archived_at"
    t.index ["district_id"], name: "index_mfcs_on_district_id"
    t.index ["name"], name: "index_mfcs_on_name", unique: true
    t.index ["territory_id"], name: "index_mfcs_on_territory_id"
  end

  create_table "non_working_days", force: :cascade do |t|
    t.date "date", null: false
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["date"], name: "index_non_working_days_on_date", unique: true
  end

  create_table "parameters", force: :cascade do |t|
    t.string "title", null: false
    t.text "hint"
    t.boolean "allow_many", default: false
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.boolean "important", default: false
  end

  create_table "parameters_criteria", force: :cascade do |t|
    t.bigint "parameter_id", null: false
    t.bigint "criterion_id", null: false
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["criterion_id"], name: "index_parameters_criteria_on_criterion_id"
    t.index ["parameter_id"], name: "index_parameters_criteria_on_parameter_id"
  end

  create_table "policlinics", force: :cascade do |t|
    t.string "name", null: false
    t.bigint "district_id", null: false
    t.string "address", null: false
    t.float "longitude", null: false
    t.float "latitude", null: false
    t.integer "population"
    t.integer "floors"
    t.string "kind", null: false
    t.string "size", null: false
    t.text "comment"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.integer "time_to_inspect_minutes", default: 0
    t.datetime "archived_at"
    t.index ["district_id"], name: "index_policlinics_on_district_id"
    t.index ["name"], name: "index_policlinics_on_name", unique: true
  end

  create_table "repair_periods", force: :cascade do |t|
    t.datetime "starts_at", null: false
    t.datetime "ends_at"
    t.string "repairable_type", null: false
    t.bigint "repairable_id", null: false
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["repairable_type", "repairable_id"], name: "index_repair_periods_on_repairable_type_and_repairable_id"
  end

  create_table "reports", force: :cascade do |t|
    t.string "kind", null: false
    t.string "state", default: "generating", null: false
    t.string "project_type", null: false
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.jsonb "serialized_report_matrix"
  end

  create_table "territories", force: :cascade do |t|
    t.string "name", null: false
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["name"], name: "index_territories_on_name", unique: true
  end

  create_table "users", force: :cascade do |t|
    t.string "first_name", null: false
    t.string "middle_name"
    t.string "last_name", null: false
    t.string "email"
    t.string "phone", limit: 11
    t.string "role", null: false
    t.string "project_type", null: false
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.bigint "curator_id"
    t.string "password_digest", null: false
    t.string "state", null: false
    t.string "gender", null: false
    t.string "recovery_password_token"
    t.datetime "recovery_password_token_sent_at"
    t.datetime "last_sign_in_at"
    t.datetime "archived_at"
    t.index ["curator_id"], name: "index_users_on_curator_id"
    t.index ["email"], name: "index_users_on_email", unique: true
    t.index ["phone"], name: "index_users_on_phone", unique: true
    t.index ["recovery_password_token"], name: "index_users_on_recovery_password_token", unique: true
  end

  create_table "vacations", force: :cascade do |t|
    t.bigint "user_id", null: false
    t.date "starts_at"
    t.date "ends_at"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["user_id"], name: "index_vacations_on_user_id"
  end

  create_table "working_norms", force: :cascade do |t|
    t.date "date", null: false
    t.integer "hours", null: false
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["date"], name: "index_working_norms_on_date", unique: true
  end

  add_foreign_key "active_storage_attachments", "active_storage_blobs", column: "blob_id"
  add_foreign_key "calendar_days", "calendar_months"
  add_foreign_key "calendar_days", "users"
  add_foreign_key "calendar_days", "vacations"
  add_foreign_key "checklists_blocks", "blocks"
  add_foreign_key "checklists_blocks", "checklists"
  add_foreign_key "districts", "administrative_districts"
  add_foreign_key "inspection_results", "blocks"
  add_foreign_key "inspection_results", "groups"
  add_foreign_key "inspection_results", "inspections"
  add_foreign_key "inspection_results", "parameters"
  add_foreign_key "inspections", "calendar_days"
  add_foreign_key "inspections", "checklists"
  add_foreign_key "inspections", "users", column: "inspector_id"
  add_foreign_key "mfcs", "districts"
  add_foreign_key "mfcs", "territories"
  add_foreign_key "parameters_criteria", "criteria"
  add_foreign_key "parameters_criteria", "parameters"
  add_foreign_key "policlinics", "districts"
  add_foreign_key "users", "users", column: "curator_id"
  add_foreign_key "vacations", "users"
end
