FROM ruby:2.6.3

LABEL maintainer="aponomarev@royalsw.me" 

RUN apt-get update \
&& apt-get install -y \
apt-utils \
build-essential \
libpq-dev \
nodejs \
systemd \
build-essential && DEBIAN_FRONTEND=noninteractive apt-get install -y locales

RUN sed -i -e 's/# ru_RU.UTF-8 UTF-8/ru_RU.UTF-8 UTF-8/' /etc/locale.gen && \
    dpkg-reconfigure --frontend=noninteractive locales && \
    update-locale LANG=ru_RU.UTF-8

ENV LANG ru_RU.UTF-8

RUN gem install bundler:2.0.2

RUN mkdir -p /app

COPY ./Gemfile /app/Gemfile
COPY ./Gemfile.lock /app/Gemfile.lock

WORKDIR /app

RUN bundle install

ENTRYPOINT ["/app/docker-entrypoint-dev.sh"]
