# frozen_string_literal: true

FactoryBot.define do
  factory :mfc do
    sequence(:name) { |n| "MFC #{n}" }
    district
    territory
    address { Faker::Address.street_address }
    division { Mfc::DIVISIONS.sample }
    kind { Mfc::KINDS.values.sample }
    comment { 'MyString' }
    longitude { 1.5 }
    latitude { 1.5 }

    trait :with_repair_period do
      after(:create) do |mfc|
        create(:repair_period, repairable: mfc)
      end
    end
  end
end
