# frozen_string_literal: true

FactoryBot.define do
  factory :vacation do
    user
    starts_at { Time.zone.today }
    ends_at { Time.zone.today + 2.days }

    after(:create) do |vacation|
      calendar_month = create(:calendar_month)
      vacation.calendar_days.create(
        (vacation.starts_at..vacation.ends_at).map { |day| { date: day, user: vacation.user, calendar_month: calendar_month } }
      )
    end
  end
end
