# frozen_string_literal: true

require 'rails_helper'

RSpec.describe AdministrativeDistrict, type: :model do
  it_behaves_like 'ValidFactory'

  describe 'associations' do
    it { is_expected.to have_many(:districts) }
    it { is_expected.to have_many(:policlinics).through(:districts) }
  end

  describe 'validations' do
    subject { create(:administrative_district) }

    it { is_expected.to validate_presence_of(:name) }
    it { is_expected.to validate_uniqueness_of(:name) }
  end
end
