# frozen_string_literal: true

require 'rails_helper'

RSpec.describe CalendarDay, type: :model do
  it_behaves_like 'ValidFactory'

  it { is_expected.to define_enum_for(:kind).with_values(CalendarDay::KINDS).backed_by_column_of_type(:string) }

  describe 'associations' do
    it { is_expected.to belong_to(:calendar_month) }
    it { is_expected.to belong_to(:user) }
    it { is_expected.to belong_to(:vacation).optional }

    it { is_expected.to have_many(:inspections) }
    it { is_expected.to have_many(:visible_inspections) }
  end

  describe 'validations' do
    subject { create(:calendar_day) }

    it { is_expected.to validate_uniqueness_of(:date).scoped_to(:user_id) }
  end
end
