# frozen_string_literal: true

require 'rails_helper'

RSpec.describe CalendarMonth, type: :model do
  describe 'associations' do
    it { is_expected.to have_many(:calendar_days) }
    it { is_expected.to have_many(:inspections).through(:calendar_days) }
  end

  describe 'validations' do
    subject { create(:calendar_month) }

    it { is_expected.to validate_presence_of(:date) }
    it { is_expected.to validate_presence_of(:project_type) }
    it { is_expected.to validate_uniqueness_of(:date).scoped_to(:project_type).ignoring_case_sensitivity }
  end
end
