# frozen_string_literal: true

require 'rails_helper'

RSpec.describe Criterion, type: :model do
  it_behaves_like 'ValidFactory'
  it_behaves_like 'Archivable'

  it { is_expected.to validate_presence_of(:title) }
  it { is_expected.to validate_presence_of(:input_type) }
  it { is_expected.to validate_inclusion_of(:input_type).in_array(Criterion::INPUT_TYPES) }
end
