# frozen_string_literal: true

require 'rails_helper'

RSpec.describe District, type: :model do
  it_behaves_like 'ValidFactory'

  describe 'associations' do
    it { is_expected.to belong_to(:administrative_district) }
    it { is_expected.to have_many(:policlinics) }
  end

  describe 'validations' do
    subject { create(:district) }

    it { is_expected.to validate_presence_of(:name) }
    it { is_expected.to validate_uniqueness_of(:name) }
  end
end
