# frozen_string_literal: true

require 'rails_helper'

RSpec.describe InspectionResult, type: :model do
  it_behaves_like 'ValidFactory'

  it { is_expected.to belong_to(:inspection) }
  it { is_expected.to belong_to(:block) }
  it { is_expected.to belong_to(:group).optional }
  it { is_expected.to belong_to(:parameter) }

  it { is_expected.to validate_presence_of(:result) }
  it { is_expected.to define_enum_for(:result).backed_by_column_of_type(:string) }
end
