# frozen_string_literal: true

require 'rails_helper'

RSpec.describe RepairPeriod, type: :model do
  it_behaves_like 'ValidFactory'

  it { is_expected.to validate_presence_of(:starts_at) }

  context 'when period overlaps' do
    subject { described_class.new(params) }

    let!(:first_period) { create(:repair_period) }
    let(:params) { { starts_at: first_period.starts_at, ends_at: first_period.ends_at, repairable: first_period.repairable } }

    it { is_expected.not_to be_valid }
  end
end
