# frozen_string_literal: true

require 'rails_helper'

describe FileArchives::CreateZip do
  subject { described_class.call(inspection) }

  context 'when inspection contains duplicate files' do
    let(:inspection) { create(:inspection) }

    before do
      io = Rack::Test::UploadedFile.new(Rails.root.join('spec/support/files/example.png'), 'image/png')
      inspection.files.attach(io: io, filename: 'dup.png', content_type: 'image/png')
      io.rewind
      inspection.files.attach(io: io, filename: 'dup.png', content_type: 'image/png')
    end

    after do
      FileUtils.rm_rf("tmp/file_archives/#{inspection.id}")
    end

    it { is_expected.to be_success }
  end
end
