# frozen_string_literal: true

require 'rails_helper'

describe Admin::ChecklistPolicy, type: :policy do
  subject { described_class.new(user, record) }

  let(:record) { build(:checklist) }

  context 'as superadmin' do
    let(:user) { build(:user, :superadmin) }

    it { is_expected.to permit_actions %i[index] }
  end

  context 'as a project admin' do
    let(:record) { build(:checklist) }
    let(:user) { build(:user, :admin) }

    it { is_expected.to permit_actions %i[index] }
  end
end
