# frozen_string_literal: true

require 'rails_helper'

describe Admin::ReportPolicy, type: :policy do
  subject { described_class.new(user, record) }

  let_it_be(:record) { create(:report) }

  context 'as a regular user' do
    let(:user) { build(:user) }

    it { is_expected.to forbid_actions %i[index] }
  end

  context 'as a superadmin' do
    let(:user) { build(:user, :superadmin) }

    it { is_expected.to permit_actions %i[index] }
  end

  context 'as a project admin' do
    let(:user) { build(:user, :admin) }

    it { is_expected.to permit_actions %i[index] }
  end
end
