# frozen_string_literal: true

require 'rails_helper'

describe CodebookPolicy, type: :policy do
  subject { described_class.new(user, nil) }

  context 'as inspector' do
    let(:user) { build(:user, :inspector) }

    it { is_expected.to permit_actions %i[index] }
  end

  context 'as superadmin' do
    let(:user) { build(:user, :superadmin) }

    it { is_expected.to permit_actions %i[index] }
  end

  context 'as curator' do
    let(:user) { build(:user, :curator) }

    it { is_expected.to permit_actions %i[index] }
  end

  context 'as admin' do
    let(:user) { build(:user, :admin, :policlinic) }

    it { is_expected.to permit_actions %i[index] }
  end
end
