# frozen_string_literal: true

require 'swagger_helper'

describe 'Admin ObjectSchedules API', type: :request, swagger_doc: 'admin-swagger.json' do
  ADMIN_OBJECT_SCHEDULES_TAG = 'Admin ObjectSchedules'

  sign_in_superadmin

  let_it_be(:month) { '2020-8' }
  let_it_be(:objects) { create_list(:policlinic, 2) }
  let_it_be(:inspection) { create(:inspection, date: Date.strptime(month, '%Y-%m'), inspectable: objects.first) }

  path '/object_schedules/{month}' do
    parameter name: :month, in: :path, type: :string, example: '2020-8'

    get 'Gets an object schedule by month' do
      include_context 'RequestDefaultParams', ADMIN_OBJECT_SCHEDULES_TAG
      response 200, 'ObjectSchedule found' do
        schema '$ref' => 'swagger/schemas/admin/object_schedules/show.json'
        run_test!
      end
    end
  end
end
