# frozen_string_literal: true

require 'swagger_helper'

describe 'Admin Project Types API', type: :request, swagger_doc: 'admin-swagger.json' do
  ADMIN_PROJECT_TYPES_API_TAG = 'Admin Project Types'

  sign_in_superadmin

  path '/project_types/set' do
    put 'Updates superadmins current project type' do
      include_context 'RequestDefaultParams', ADMIN_PROJECT_TYPES_API_TAG, true
      parameter name: :params, in: :body, schema: {
        required: %i[projectType],
        properties: {
          projectType: { type: :string, enum: ProjectTypes::ALLOWED_TYPES.values }
        }
      }

      let(:params) { {} }

      response 204, 'Current project type is updated' do
        let(:params) { { project_type: 'mfc' } }
        run_test! do
          expect(response.cookies['project_type']).to be_present
        end
      end
    end
  end
end
