# frozen_string_literal: true

require 'swagger_helper'

describe 'Calendar Days API', type: :request do
  CALENDAR_DAYS_TAG = 'CalendarDays'

  sign_in_user

  path '/calendar_days' do
    get 'Gets calendar days' do
      include_context 'RequestDefaultParams', CALENDAR_DAYS_TAG
      include_context 'SearchDefaultParams', CalendarDaySearcher

      let!(:calendar_day) { create(:calendar_day, date: Date.current, kind: 'working', user: current_user) }

      before { CalendarDay.reindex }

      it_behaves_like 'API Authenticable', is_authorization_required: false
      it_behaves_like 'API Paginatable', :calendar_day

      response 200, 'Calendar Days found' do
        schema '$ref' => 'swagger/schemas/calendar_days/index.json'
        run_test!
      end
    end
  end
end
