# frozen_string_literal: true

require 'swagger_helper'

describe 'Criteria API', type: :request do
  CRITERIA_TAG = 'Criteria'

  let_it_be(:user) { create(:user, :inspector, :mfc) }
  let_it_be(:related_criterion) { create(:criterion, project_type: 'mfc') }
  let_it_be(:unrelated_criterion) { create(:criterion, project_type: 'policlinic') }

  before { sign_in user }

  path '/criteria' do
    get 'Gets available criteria' do
      include_context 'RequestDefaultParams', CRITERIA_TAG

      response 200, 'Criteria found' do
        schema '$ref' => 'swagger/schemas/criteria/index.json'

        run_test! do
          expect(json_response[:criteria].size).to eq 1
        end
      end
    end
  end
end
