# frozen_string_literal: true

shared_context 'API Authenticable' do |params = { is_authorization_required: true }|
  response '401', 'Invalid access cookie' do
    before do
      cookies[JWTSessions.access_cookie] = 'invalid'
    end

    schema '$ref' => 'swagger/schemas/shared/error.json'
    run_test!
  end

  if params[:is_authorization_required]
    response '403', "User doesn't have permission" do
      before do
        user = create(:user)
        sign_in(user)
      end

      schema '$ref' => 'swagger/schemas/shared/error.json'
      run_test!
    end
  end
end
