# frozen_string_literal: true

shared_context 'API Paginatable' do |factory_name|
  class_name = factory_name.to_s.camelize

  response '404', 'Page number overflow' do
    let(:page) { 2 }
    let(:perPage) { 99 }

    before do
      create_list(factory_name, 2)
      class_name.constantize.reindex if class_name.respond_to?(:reindex)
    end

    run_test!
  end
end
