# frozen_string_literal: true

shared_examples_for 'Archivable' do
  let(:model) { described_class }

  it 'defines archived scope' do
    expect(model).to respond_to(:archived)
  end

  it 'defines not_archived scope' do
    expect(model).to respond_to(:not_archived)
  end

  context 'when archiving' do
    let(:instance) { create(described_class.to_s.underscore.to_sym) }

    it 'defines arvhive method' do
      expect(instance).to respond_to(:archive)
    end

    it 'sets the archived_at time' do
      expect { instance.archive }
        .to(change(instance, :archived_at))
    end
  end
end
