# frozen_string_literal: true

shared_context 'Codebook' do |params = {}|
  path "/codebooks/#{params[:for]}" do
    get "Gets a codebook for #{params[:for].humanize}" do
      include_context 'RequestDefaultParams', ADMIN_CODEBOOKS_TAG

      response 200, 'Codebook found' do
        let!(:resource) { create(*params[:backed_by_model]) } if params[:backed_by_model]

        schema '$ref' => 'swagger/schemas/shared/_codebook.json'
        run_test!
      end
    end
  end
end
