# frozen_string_literal: true

shared_examples_for 'Unprocessable Entity' do |options = {}|
  if options[:on] == :update
    response 422, "#{options[:as]} update failed" do
      let(:resource) { create(options[:as].underscore.to_sym) }
      let(:id) { resource.id }

      let(:params) { options[:with_params] }

      schema '$ref' => 'swagger/schemas/shared/failed_update.json'

      it "doesn't update #{options[:as]}" do |example|
        expect { submit_request(example.metadata) }
          .not_to change(resource, :attributes)
      end
    end
  elsif options[:on] == :create
    response 422, "#{options[:as]} create failed" do
      let(:params) { options[:with_params] }

      schema '$ref' => 'swagger/schemas/shared/failed_create.json'

      it "doesn't create a #{options[:as]}" do |example|
        expect { submit_request(example.metadata) }
          .not_to change(options[:as].constantize, :count)

        assert_response_matches_metadata(example.metadata)
      end
    end
  end
end
