# revizor_front

## Build Setup

```bash
# install dependencies
$ npm install

# serve with hot reload at localhost:3000
$ npm run dev

# build for production and launch server
$ npm run build
$ npm run start

# generate static project
$ npm run generate
```

For detailed explanation on how things work, check out [Nuxt.js docs](https://nuxtjs.org).

## Start project via docker

### Quickstart

Pull all repositories in one folder: 
* revizor_api
* revizor_portal
* revizor_app

Init database config in `revizor_api` repository:
```bash
cp /config/database.yml.example /config/database.yml
```

Start all services:
```bash
docker-compose up -d
```
Services:
* api
* sidekiq
* portal
* app
* postgres
* redis
* elasticsearch

Start certain services:
```bash
docker-compose up -d service_name1 service_name2 ...
```

Stop all services:
```bash
docker-compose down
```

All services will be started in development mode (API: `RAILS_ENV=development`, FRONT: `npm run dev`). No need to restart containers while code creating. It will update automatically.

Database will contain seed data after container start.

### Daily

Keep all repositories up-to-date

Force recreating and rebuilding services (if needed):
```bash
docker-compose up -d --force-recreate --build
```

Watch container logs
```bash
docker logs container_name
```

Cleanup node_modules (delete volume with node_modules):
```bash
docker volume ls
docker volume rm volume_name
```