import { Vue, Component } from 'nuxt-property-decorator'

@Component
export default class THideOnClick extends Vue {
  resizeHandler: { (): void } = () => {}

  mounted() {
    this.resizeHandler = () => {
      const vh = window.innerHeight / 100
      document.documentElement.style.setProperty('--vh', `${vh}px`)
    }
    this.resizeHandler()
    window.addEventListener('resize', this.resizeHandler)
  }

  beforeDestroy() {
    if (this.resizeHandler) {
      window.removeEventListener('resize', this.resizeHandler)
    }
  }
}
