import { Vue, Component, Watch } from 'nuxt-property-decorator'

@Component
export default class THideOnClick extends Vue {
  hideList: any = () => {}
  isDropdownOpen: boolean = false

  created() {
    this.hideList = () => {
      this.isDropdownOpen = false
    }
  }

  beforeDestroy() {
    if (this.hideList) {
      document.removeEventListener('click', this.hideList)
    }
  }

  @Watch('isDropdownOpen')
  changeListenerStatus(val: boolean) {
    if (val) {
      setTimeout(() => {
        document.addEventListener('click', this.hideList)
      }, 100)
    } else {
      document.removeEventListener('click', this.hideList)
    }
  }
}
