const MILLISECONDS_IN_SECOND = 1000
const MILLISECONDS_IN_MINUTE = 60 * MILLISECONDS_IN_SECOND
const MILLISECONDS_IN_HOUR = MILLISECONDS_IN_MINUTE * 60

enum SYNC {
  NEED_SYNC = 0,
  ALREADY_SYNC = 1
}

const INSPECTION_STATES = {
  PLANNED: 'planned',
  STARTED: 'started',
  FINISHED: 'finished'
}

const FILE_STATES = {
  INITIAL: 'initial',
  UPLOADED_TO_INDEXED_DB: 'uploadedToIndexedDb',
  DIRECT_UPLOAD_COMPLETE: 'directUploadComplete',
  S3_UPLOAD_COMPLETE: 's3UploadComplete',
  ATTACH_FILE_COMPLETE: 'attachFileComplete',
  READY_TO_DELETE: 'readyToDelete',
  NOT_DOWNLOADED: 'notDownloaded',
  DOWNLOADED: 'downloaded'
}

const FILE_STATES_PROGRESS = {
  [`${FILE_STATES.INITIAL}`]: 0,
  [`${FILE_STATES.UPLOADED_TO_INDEXED_DB}`]: 30,
  [`${FILE_STATES.DIRECT_UPLOAD_COMPLETE}`]: 60,
  [`${FILE_STATES.S3_UPLOAD_COMPLETE}`]: 80,
  [`${FILE_STATES.ATTACH_FILE_COMPLETE}`]: 100
}

export {
  SYNC,
  INSPECTION_STATES,
  MILLISECONDS_IN_MINUTE,
  MILLISECONDS_IN_HOUR,
  MILLISECONDS_IN_SECOND,
  FILE_STATES,
  FILE_STATES_PROGRESS
}
