import {
  IPoliclinicKindCodebook,
  IPoliclinicSizeCodebook,
  IPoliclinicKind,
  IPoliclinicSize
} from '~/ts/interfaces'

interface IOption {
  id: string
  name: string
}

const getPoliclinicKindName = (kind: IPoliclinicKind, kinds: IPoliclinicKindCodebook[]): string => {
  return kinds.find((el: IOption) => el.id === kind)?.name || ''
}

const getPoliclinicSizeName = (size: IPoliclinicSize, sizes: IPoliclinicSizeCodebook[]): string => {
  return sizes.find((el: IOption) => el.id === size)?.name || ''
}

const getPoliclinicSizeNameForMap = (size: IPoliclinicSize, sizes:IPoliclinicSizeCodebook[]): string => {
  return getPoliclinicSizeName(size, sizes).split(' ').map(el => el[0] ? el[0].toUpperCase() : '').join('')
}

const getPoliclinicKindNameForMap = (kind: IPoliclinicKind, kinds: IPoliclinicKindCodebook[]): string => {
  return getPoliclinicKindName(kind, kinds)
    .split('-')
    .reduce((res, el) => res + el.charAt(0), '')
    .toUpperCase()
}

export {
  getPoliclinicKindName,
  getPoliclinicSizeName,
  getPoliclinicSizeNameForMap,
  getPoliclinicKindNameForMap
}
