export const formatNumber = (num: number): string => {
  return num < 10 ? `0${num}` : `${num}`
}

export const toDateFromVuetifyDate = (date: string): string => {
  return date.split('-').reverse().join('.')
}

export const fullDate = (date: string | Date): string => {
  const newDate = new Date(date)
  return date ? `${formatNumber(newDate.getDate())}.${formatNumber(newDate.getMonth() + 1)}.${newDate.getFullYear()}` : ''
}

export const getTime = (date: string | Date | number): string => {
  const newDate = new Date(date)
  return date ? `${formatNumber(newDate.getHours())}:${formatNumber(newDate.getMinutes())}` : ''
}

export const dateForRequest = (date: string | Date): string => {
  const newDate = new Date(date)
  return date ? `${newDate.getFullYear()}-${formatNumber(newDate.getMonth() + 1)}-${formatNumber(newDate.getDate())}` : ''
}

export const getFormattedDuration = (duration: number): string => {
  const durationInSeconds = Math.round(duration / 1000)
  const seconds: string = formatNumber(durationInSeconds % 60)
  const minutes: string = formatNumber(Math.floor(durationInSeconds / 60) % 60)
  const hours: string = formatNumber(Math.floor(durationInSeconds / 3600))
  return `${hours}:${minutes}:${seconds}`
}

export const formatMinutesToTime = (formatMinutes: number): string => {
  const hours = formatNumber(Math.floor(formatMinutes / 60))
  const minutes = formatNumber(Math.floor(formatMinutes % 60))
  return `${hours}:${minutes}`
}
