const requiredRule = (v: string) => !!v || 'Обязательное поле'

const emailRule = (v: string) => /.+@.+\..+/.test(v) || 'Введите корректный email'

const passwordRule = (v: string) => !!v || 'Обязательное поле'

const phoneRule = (v: string) => /\(?([0-9]{3})\)?([ .-]?)([0-9]{3})\2([0-9]{4})/.test(v) || 'Введите корректный телефон'

const isEqual = (a: string, b: string) => {
  return () => a === b || 'Пароли должны совпадать'
}

export {
  requiredRule,
  emailRule,
  passwordRule,
  phoneRule,
  isEqual
}
