
import Dexie from 'dexie'

import { IDBInspection, IDBFile } from '~/ts/interfaces'

const DB_VERSION: number = 5

export class DexieTS extends Dexie {
  inspections: Dexie.Table<IDBInspection, number> // number - тип для primary key хранилища
  files: Dexie.Table<IDBFile, string>

  constructor(databaseName: string) {
    super(databaseName)

    // При изменении схемы БД необходимо увеличивать версию
    this.version(DB_VERSION).stores({
      inspections: 'id, date, sync',
      files: 'id, inspectionId'
    })

    this.inspections = this.table('inspections')
    this.files = this.table('files')
  }
}
