
import { Store } from 'vuex'

export default ({ store }: { store: Store<any> }, inject: Function) => {
  inject('load', async(userAction: Function, errorHandling: Function | undefined) => {
    try {
      await userAction()
    } catch (e) {
      if (errorHandling) {
        errorHandling(e)
      }
      if (e.response?.data) { // ошибка пришла с бэка
        const { status } = e.response
        store.dispatch('alerts/parseServerErrors', status)
      } else { // ошибка на фронте
        console.error(e)
      }
    }
  })
}
