export const state = () => ({
  all: []
})

export const getters = {
  all: state => state.all
}

export const mutations = {
  ADD_ALERT(state, value) {
    const alert = { text: 'Текст', type: 'success', timeout: 3000 }
    state.all.push({ ...alert, ...value })
  },

  DELETE_ALERT(state, value) {
    const index = state.all.findIndex(el => el.id === value)
    state.all.splice(index, 1)
  },

  DELETE_ALL_ALERTS(state) {
    state.all = []
  }
}

export const actions = {
  addAlert({ commit }, payload) {
    commit('ADD_ALERT', payload)
  },

  deleteAlert({ commit }, payload) {
    commit('DELETE_ALERT', payload)
  },

  deleteAllAlerts({ commit }) {
    commit('DELETE_ALL_ALERTS')
  },

  parseServerErrors({ dispatch, rootGetters }, code) {
    if (code) {
      if (rootGetters['auth.loggedIn'] || code !== 401) {
        dispatch('addAlert', {
          text: `Ошибка с кодом ${code}`,
          type: 'error'
        })
      }
    } else {
      dispatch('addAlert', {
        text: 'Ошибка на сервере',
        type: 'error'
      })
    }
  }
}
