import {
  IProjectType
} from '~/ts/interfaces'

export type IIssue = 'passed' | 'failed' | 'cant_evaluate'

export interface IChecklist {
  id?: number
  name: string
  startsAt: string
  endsAt: string
  issue: string
  projectType: IProjectType | null
  blocks: IChecklistBlock[]
  files?: IChecklistFile[]
}

export interface IChecklistBlock {
  title: string
  groups: IChecklistGroup[]
}

export interface IChecklistGroup {
  title: string
  parameters: IChecklistParameter[]
}

export interface IChecklistParameter {
  issue?: IIssue
  title: string
  allowMany: boolean
  allowImage: boolean
  allowAudio: boolean
  allowVideo: boolean
  isImportant: boolean
  hint: string
  issues: IChecklistIssue[]
  issueCantEvaulateComment: string
  checkTimeAt: string
}

export interface IChecklistIssue {
  selectedCriteriaGroupId? : number | null
  criteriaGroup?: IChecklistCriteriaGroup[]
  criteria?: IChecklistCriterion[]
  photos: any[]
  audios: any[]
  videos: any[]
  comment: string
}

export interface IChecklistCriteriaGroup {
  id: number
  title: string
  criteria: IChecklistCriterion[]
}

export interface IChecklistCriterion {
  id: number
  value?: string | boolean
}

export interface IChecklistFile {
  id: string
  inspectionId: number
  S3href: string
  key?: string
}
