import { IInspection } from '~/ts/interfaces'

type NEED_SYNC = 0
type ALREADY_SYNC = 1

// Interfaces for indexedDB storage
export interface IDBInspection {
  id: number // Primary key
  date: string
  sync: NEED_SYNC | ALREADY_SYNC // idb spec does not allow booleans as keys
  inspection: IInspection
}

export interface IDBFile {
  id: string
  S3href: string
  inspectionId: number
  value: string
  state: 'initial' | 'uploadedToIndexedDb' |'directUploadComplete' |
          's3UploadComplete' | 'attachFileComplete' | 'readyToDelete' | 'notDownloaded'
  error?: boolean
  key?: string
  url?: string
  signedId?: string
  headers?: []
}
