export type SelectValue = string | number | boolean
export type IProjectType = 'policlinic' | 'mfc'
export type ITypeFields = 'input' | 'select' | 'checkbox'
export type ISortDirection = 'asc' | 'desc' | ''

export interface ISelectOption {
  title: string
  value: SelectValue
}

export interface IAuditTime {
  time: string
  date: string | Date
}

export interface IRangeFilter {
  gte: string
  lte: string
}

export interface IFilterItemForBackend {
  field: string
  value?: string[] | number[]
  range?: IRangeFilter
}

export interface ISortItem {
  field: string,
  value: ISortDirection
}

export interface IFilterItem {
  [key: string] : {
    field: string
    value?: string[] | number[]
    range?: IRangeFilter
  }
}

export interface ICommonIndexPayloadForBackend {
  search?: string
  page: number
  perPage: number
  filters?: IFilterItemForBackend[]
  sortings?: ISortItem[]
}

export interface ICommonIndexPayload {
  search?: string
  page: number
  perPage: number
  filters?: IFilterItem
  sortings?: ISortItem[]
}

export * from '~/ts/interfaces/validation.ts'
export * from '~/ts/interfaces/inspections.ts'
export * from '~/ts/interfaces/map.ts'
export * from '~/ts/interfaces/checklist.ts'
export * from '~/ts/interfaces/db.ts'
export * from '~/ts/interfaces/criterion.ts'
export * from '~/ts/interfaces/codebooks.ts'
export * from '~/ts/interfaces/calendarDays.ts'
