export type IPoliclinicSize = 's' | 'm' | 'l' | 'xl'
export type IPoliclinicKind = 'adult' | 'children' | 'adult_and_children'
export type InspectionState = 'planned' | 'started' | 'finished'

export interface IInspection {
  id: number,
  startsAt: string
  endsAt: string | null
  state: InspectionState,
  inspectableName: string
  inspectableKind: IPoliclinicKind
  inspectableAddress: string
  inspectableLongitude: number
  inspectableLatitude: number
  inspectableSize: IPoliclinicSize
  timeToInspectMinutes: number
  rawData: string
}

export interface IInspectionIndexPayload {
  date: string
}

export interface IInspectionIndexResponse {
  inspections: IInspection[]
}

export interface IInspectionShowResponse extends IInspection {}

export interface IInspectionUpdatePayload {
  rawData: string
}
