const qs = require('qs')

export default ($axios: any) => (resource: any) => ({
  index(payload = {}) {
    return $axios.$get(`${resource}`, {
      params: payload,
      paramsSerializer: (params: any) => qs.stringify(params, { arrayFormat: 'brackets' })
    })
  },

  show(id: number, payload = {}) {
    return $axios.$get(`${resource}${id ? `/${id}` : ''}`, { params: payload })
  },

  create(payload: any) {
    return $axios.$post(`${resource}`, payload)
  },

  update(id: number, payload: any) {
    return $axios.$put(`${resource}${id ? `/${id}` : ''}`, payload)
  },

  delete(id: number) {
    return $axios.$delete(`${resource}${id ? `/${id}` : ''}`)
  }
})
