import { Vue, Component } from 'nuxt-property-decorator'
import { IInspectionShowResponse, ITableEvent, IScheduleRow } from '~/ts/interfaces'

@Component
export default class VInspectionModalMixin extends Vue {
  content: IScheduleRow[] = []
  currentInspection: IInspectionShowResponse | null = null
  currentInspectionX: number = 0
  currentInspectionY: number = 0
  isShowCurrentInspection: boolean = false
  currentRow: number = NaN
  currentCol: number = NaN

  showInspection(inspection: IInspectionShowResponse, { x, y }: ITableEvent, row: number, col: number) {
    this.currentInspection = inspection
    this.currentInspectionX = x
    this.currentInspectionY = y
    this.currentRow = row
    this.currentCol = col

    setTimeout(() => {
      this.isShowCurrentInspection = true
    }, 200)
  }
}
