import { Vue, Component } from 'nuxt-property-decorator'
import { mapGetters } from 'vuex'
import { IChecklist } from '~/ts/interfaces'

@Component({
  computed: {
    ...mapGetters({
      checklist: 'constructorChecklist/getChecklist'
    })
  }
})
export default class VPreviewChecklistMixin extends Vue {
  checklist: IChecklist

  created() {
    if (!this.checklist) {
      if (this.$route.params.id) {
        const checklistId = Number.parseInt(this.$route.params.id)

        this.$load(async() => {
          const { rawData } = await this.$checklists.show(checklistId)
          this.$store.dispatch('constructorChecklist/setChecklist', JSON.parse(rawData))
        })
      } else {
        this.$store.dispatch('constructorChecklist/setChecklist', {
          name: '',
          startsAt: '',
          endsAt: '',
          issue: '',
          projectType: this.$auth.user.projectType,
          blocks: []
        })
      }
    }
  }
}
