const checklistClinic = {
  id: 1,
  name: 'ГП 58 ф 2',
  startsAt: '',
  endsAt: '',
  createdAt: '2020-07-10',
  issue: '',
  projectType: 'policlinic',
  blocks: [
    {
      title: 'Прием врачей',
      groups: [
        {
          title: '',
          parameters: [
            {
              title: 'Терапевт / ВОП / Педиатр',
              allowMany: true,
              isImportant: false,
              allowImage: true,
              allowAudio: true,
              allowVideo: true,
              issue: null,
              issueCantEvaulateComment: '',
              hint: 'Нарушением является несоответствие фактического приема специалистов с графиком ЕМИАС.\n\n1. По графику приём ведётся, по факту приёма нет (замена другим врачом этой же специальности не предоставлена).\n2. Приём ведётся, в графике специальности нет. Пример комментария: 12:30, ЕМИАС - нет приема, ФАКТ – ведет прием в каб. 210, Васильева Л.Н. Расхождения не обнаружено (отмечаем только по специальностям, которые есть в графике на момент проверки).\n3. Приём ведётся, но в другом кабинете/замена специалиста ФИО (пациенты, записанные к отсутствующему врачу направлены к другому врачу той же специальности). Требуется уточнить о замене врача у медперсонала. Пример комментария: №3 - 11:45, ЕМИАС - каб.311, Иванова А.А., ФАКТ - каб.312 или №3 - 13:15, ЕМИАС - каб.205, Сидорова А.А., ФАКТ - каб.205, Васильева А.Н.\n4. Приём врача соответствует графику.\n\nПУСТОЕ поле - оценить приём не удалось, специальность отсутствует в графике на момент проверки',
              checkTimeAt: '',
              issues: [
                {
                  criteriaGroup: [
                    {
                      id: 1,
                      title: 'В графике специальность есть,а прием не ведется',
                      criteria: [
                        {
                          id: 2,
                          orderId: 1
                        },
                        {
                          id: 3,
                          orderId: 2
                        }
                      ]
                    },
                    {
                      id: 2,
                      title: 'Прием ведется, в графике ЕМИАС специальности нет',
                      criteria: [
                        {
                          id: 2,
                          orderId: 0
                        },
                        {
                          id: 3,
                          orderId: 1
                        }
                      ]
                    },
                    {
                      id: 3,
                      title: 'Прием ведется, но в другом кабинете/замена специалиста',
                      criteria: [
                        {
                          id: 3,
                          orderId: 1
                        }
                      ]
                    }
                  ],
                  photos: [],
                  comment: '',
                  audios: [],
                  videos: []
                }
              ]
            },
            {
              title: 'Кардиолог',
              allowMany: true,
              isImportant: false,
              hint: "Нарушением является несоответствие фактического приема специалистов с графиком ЕМИАС.\n\n1. По графику приём ведётся, по факту приёма нет (замена другим врачом этой же специальности не предоставлена).\n2. Приём ведётся, в графике специальности нет. Пример комментария: 12:30, ЕМИАС - нет приема, ФАКТ – ведет прием в каб. 210, Васильева Л.Н. Расхождения не обнаружено (отмечаем только по специальностям, которые есть в графике на момент проверки).\n3. Приём ведётся, но в другом кабинете/замена специалиста ФИО (пациенты, записанные к отсутствующему врачу направлены к другому врачу той же специальности). Требуется уточнить о замене врача у медперсонала. Пример комментария: №3 - 11:45, ЕМИАС - каб.311, Иванова А.А., ФАКТ - каб.312 или №3 - 13:15, ЕМИАС - каб.205, Сидорова А.А., ФАКТ - каб.205, Васильева А.Н.\n4. Приём врача соответствует графику.\n\nПУСТОЕ поле - оценить приём не удалось, специальность отсутствует в графике на момент проверки',",
              checkTimeAt: '',
              issues: [
                {
                  criteriaGroup: [
                    {
                      title: 'В графике специальность есть,а прием не ведется',
                      criteria: [
                        {
                          id: 2,
                          orderId: 0
                        },
                        {
                          id: 4,
                          orderId: 1
                        },
                        {
                          id: 5,
                          orderId: 2
                        }
                      ]
                    },
                    {
                      title: 'Прием ведется, в графике ЕМИАС специальности нет',
                      criteria: [
                        {
                          id: 2,
                          orderId: 0
                        },
                        {
                          id: 3,
                          orderId: 1
                        },
                        {
                          id: 4,
                          orderId: 2
                        }
                      ]
                    },
                    {
                      title: 'Прием ведется, но в другом кабинете/замена специалиста',
                      criteria: [
                        {
                          id: 2,
                          orderId: 0
                        },
                        {
                          id: 3,
                          orderId: 1
                        },
                        {
                          id: 4,
                          orderId: 2
                        }
                      ]
                    }
                  ],
                  photos: [],
                  comment: '',
                  audios: [],
                  videos: []
                }
              ]
            }
          ]
        },
        {
          title: 'Параметры с группой',
          parameters: [
            {
              title: 'Оториноларинголог',
              allowMany: true,
              isImportant: false,
              allowImage: true,
              allowAudio: true,
              allowVideo: true,
              issue: null,
              issueCantEvaulateComment: '',
              hint: "Нарушением является несоответствие фактического приема специалистов с графиком ЕМИАС.\n\n1. По графику приём ведётся, по факту приёма нет (замена другим врачом этой же специальности не предоставлена).\n2. Приём ведётся, в графике специальности нет. Пример комментария: 12:30, ЕМИАС - нет приема, ФАКТ – ведет прием в каб. 210, Васильева Л.Н. Расхождения не обнаружено (отмечаем только по специальностям, которые есть в графике на момент проверки).\n3. Приём ведётся, но в другом кабинете/замена специалиста ФИО (пациенты, записанные к отсутствующему врачу направлены к другому врачу той же специальности). Требуется уточнить о замене врача у медперсонала. Пример комментария: №3 - 11:45, ЕМИАС - каб.311, Иванова А.А., ФАКТ - каб.312 или №3 - 13:15, ЕМИАС - каб.205, Сидорова А.А., ФАКТ - каб.205, Васильева А.Н.\n4. Приём врача соответствует графику.\n\nПУСТОЕ поле - оценить приём не удалось, специальность отсутствует в графике на момент проверки',",
              checkTimeAt: '',
              issues: [
                {
                  criteriaGroup: [
                    {
                      title: 'В графике специальность есть,а прием не ведется',
                      criteria: [
                        {
                          id: 2,
                          orderId: 1
                        },
                        {
                          id: 3,
                          orderId: 2
                        },
                        {
                          id: 4,
                          orderId: 3
                        }
                      ]
                    },
                    {
                      title: 'Прием ведется, в графике ЕМИАС специальности нет',
                      criteria: [
                        {
                          id: 2,
                          orderId: 1
                        }
                      ]
                    },
                    {
                      title: 'Прием ведется, но в другом кабинете/замена специалиста',
                      criteria: [
                        {
                          id: 3,
                          orderId: 0
                        },
                        {
                          id: 4,
                          orderId: 1
                        }
                      ]
                    }
                  ],
                  photos: [],
                  comment: '',
                  audios: [],
                  videos: []
                }
              ]
            }
          ]
        }
      ]
    },
    {
      title: 'Кабинеты приема',
      groups: [
        {
          title: '',
          parameters: [
            {
              title: 'Длительное ожидание пациентами приема',
              allowMany: true,
              isImportant: false,
              allowImage: true,
              allowAudio: true,
              allowVideo: true,
              issue: null,
              issueCantEvaulateComment: '',
              hint: "'Нарушением является наличие 1-го и более пациентов со временем ожидания свыше 30-ти минут.\n\nПри нарушении указать время фиксации, этаж, номер кабинета, специализация, ФИО врача, кол-во пациентов со временем ожидания более 30 минут, время ожидания каждого такого пациента.',",
              checkTimeAt: '',
              issues: [
                {
                  criteria: [
                    {
                      id: 2,
                      orderId: 1
                    },
                    {
                      id: 3,
                      orderId: 2
                    },
                    {
                      id: 4,
                      orderId: 3
                    }
                  ],
                  photos: [],
                  comment: '',
                  audios: [],
                  videos: []
                }
              ]
            },
            {
              title: 'Наличие очереди у кабинета приема пациентов',
              allowMany: true,
              isImportant: false,
              hint: "'Нарушением является, когда одновременно три пациента ожидают в очереди и каждый ожидает более 30-ти минут.\n\nПри нарушении указать время фиксации, этаж, номер кабинета, специализация, ФИО врача, кол-во пациентов со временем ожидания более 30 минут, время ожидания каждого такого пациента.',",
              checkTimeAt: '',
              issues: [
                {
                  criteria: [
                    {
                      id: 4,
                      orderId: 1
                    },
                    {
                      id: 5,
                      orderId: 2
                    }
                  ],
                  photos: [],
                  comment: '',
                  audios: [],
                  videos: []
                }
              ]
            }
          ]
        }
      ]
    },
    {
      title: 'Дополнительные параметры',
      groups: [
        {
          title: '',
          parameters: [
            {
              title: 'Отсутствует сотрудник гардероба',
              allowMany: true,
              isImportant: true,
              allowImage: true,
              allowAudio: true,
              allowVideo: true,
              issue: null,
              issueCantEvaulateComment: '',
              hint: 'Нарушением является отсутствие сотрудника в течение 5-ти минут, при этом имеются ожидающие пациенты.\n\nПри нарушении указать время фиксации, количество пациентов, среднее время ожидания.',
              checkTimeAt: '',
              issues: [
                {
                  criteria: [
                    {
                      id: 2,
                      orderId: 1
                    },
                    {
                      id: 3,
                      orderId: 2
                    },
                    {
                      id: 4,
                      orderId: 3
                    }
                  ],
                  photos: [],
                  comment: '',
                  audios: [],
                  videos: []
                }
              ]
            }
          ]
        }
      ]
    }
  ]
}

export default checklistClinic
