import { IInspectionsState, ICodeBookItem } from '~/ts/interfaces'
import { getTime } from '~/assets/utils/helpers'
import { MILLISECONDS_IN_MINUTE } from '~/assets/utils/constants'

export const getInspectionStatusText = (state: IInspectionsState, allStates: ICodeBookItem[]): string => {
  return allStates.find(el => el.id === state)?.name || ''
}

export const getIspectionPeriod = (startAt: string, duration: number): string => {
  return `${getTime(startAt)}-${getTime(new Date(startAt).getTime() + duration * MILLISECONDS_IN_MINUTE)}`
}
