const requiredRule = (v: string) => !!v || 'Обязательное поле'

const emailRule = (v: string) => /.+@.+\..+/.test(v) || 'Введите корректный email'

const passwordRule = (v: string) => !!v || 'Обязательное поле'

const phoneRule = (v: string) => /^(\+7|7|8)?[\s-]?\(?[489][0-9]{2}\)?[\s-]?[0-9]{3}[\s-]?[0-9]{2}[\s-]?[0-9]{2}$/.test(v) || 'Введите корректный телефон'

const isEqual = (a: string, b: string) => {
  return () => a === b || 'Пароли должны совпадать'
}

const lessThan = (v: string | number, count: number) => Number(v) < Number(count) || `Введите значение меньше чем ${count}`

const moreThan = (v: string | number, count: number) => Number(v) > Number(count) || `Введите значение больше чем ${count}`

export {
  requiredRule,
  emailRule,
  passwordRule,
  phoneRule,
  isEqual,
  lessThan,
  moreThan
}
