const defaultConfig = require('./production')
const devConfig = require('./development')
const stagingConfig = require('./staging')
const developmentDockerConfig = require('./development-docker')

const env = process.env.NODE_ENV || 'development'

const envSpecificConfigs = {
  production: {},
  development: devConfig,
  staging: stagingConfig,
  developmentDocker: developmentDockerConfig
}

const specific = envSpecificConfigs[env]

if (!specific) {
  throw new TypeError(
    env + ' is not a valid NODE_ENV. Please, use production or development'
  )
}

module.exports = { ...defaultConfig, ...specific }
