
import Dexie from 'dexie'

import { IDBFile } from '~/ts/interfaces'

const DB_VERSION: number = 5

export class DexieTS extends Dexie {
  files: Dexie.Table<IDBFile, string>

  constructor(databaseName: string) {
    super(databaseName)

    // При изменении схемы БД необходимо увеличивать версию
    this.version(DB_VERSION).stores({
      files: 'id, inspectionId'
    })

    this.files = this.table('files')
  }
}
