import { Route } from 'vue-router'

export default function(
  { $auth, route, redirect }:
  { $auth: any, route: Route, redirect: Function }
) {
  if (!$auth.$state.loggedIn && !route.fullPath.includes('/auth/')) {
    redirect($auth.options.redirect.login)
  }

  if (route.fullPath.includes('/auth/') && $auth.$state.loggedIn) {
    redirect($auth.options.redirect.home)
  }

  // next-release remove next if
  if (route.fullPath === '/') {
    redirect($auth.options.redirect.home)
  }

  if (route.fullPath.includes('/policlinics') && $auth.$state.user.isMFC) {
    redirect('/mfcs')
  }

  if (route.fullPath.includes('/mfcs') && $auth.$state.user.isPoliclinic) {
    redirect('/policlinics')
  }
}
