import { Context } from '@nuxt/types'
import createRepository from '~/api'

export default (ctx: Context, inject: (key: string, value: any) => void) => {
  const repositoryWithAxios = createRepository(ctx.$axios)

  inject('users', repositoryWithAxios('/admin/users'))
  inject('policlinics', repositoryWithAxios('/admin/policlinics'))
  inject('mfcs', repositoryWithAxios('/admin/mfcs'))
  inject('holidays', repositoryWithAxios('/admin/non_working_days'))
  inject('vacations', repositoryWithAxios('/admin/vacations'))
  inject('inspections', repositoryWithAxios('/admin/inspections'))
  inject('workSchedules', repositoryWithAxios('/admin/work_schedules'))
  inject('inspectionSchedules', repositoryWithAxios('/admin/inspection_schedules'))
  inject('objectSchedules', repositoryWithAxios('/admin/object_schedules'))
  inject('checklists', repositoryWithAxios('/admin/checklists'))
  inject('criteria', repositoryWithAxios('/admin/criteria'))
  inject('workingNorms', repositoryWithAxios('/admin/working_norms'))
  inject('repairPeriods', repositoryWithAxios('/admin/repair_periods'))
  inject('reports', repositoryWithAxios('/admin/reports'))
  inject('fileArchives', repositoryWithAxios('/admin/file_archives'))
}
