import { Context } from '@nuxt/types'

export default function(ctx: Context) {
  ctx.$axios.onRequest((config) => {
    if (config.headers.common.Authorization) {
      config.headers.common['X-CSRF-Token'] = config.headers.common.Authorization
      delete config.headers.common.Authorization
      delete config.headers.Authorization
    }
  })

  ctx.$axios.onResponse((response) => {
    return response
  })

  ctx.$axios.onError(
    (error: any) => {
      const code = parseInt(error.response && error.response.status)
      const requestUrl = error.response.config.url

      if (
        code === 401 &&
        requestUrl !== '/auth/sessions/sign_in' &&
        requestUrl !== '/auth/sessions/sign_out'
      ) {
        ctx.app.$auth.logout()
      }
      throw error
    }
  )
}
