
import { Store } from 'vuex'

export default ({ store }: { store: Store<any> }, inject: Function) => {
  inject('load', async(userAction: Function, errorHandling: Function | undefined) => {
    try {
      await userAction()
    } catch (e) {
      if (errorHandling) {
        errorHandling(e)
      } else if (e.response?.data) { // ошибка пришла с бэка
        store.dispatch('alerts/parseServerErrors', e.response.data)
      } else { // ошибка на фронте
        console.error(e)
      }
    }
  })
}
