import lodashDebounce from 'lodash.debounce'
import lodashIsEqual from 'lodash.isequal'
import { Vue } from 'nuxt-property-decorator'

export const _ = (Vue: any) => {
  Vue.debounce = lodashDebounce
  Vue.isEqual = lodashIsEqual

  if (!Vue.prototype.$debounce) {
    Object.defineProperties(Vue.prototype, {
      $debounce: {
        get: () => Vue.debounce
      }
    })
  }
  if (!Vue.prototype.$isEqual) {
    Object.defineProperties(Vue.prototype, {
      $isEqual: {
        get: () => Vue.isEqual
      }
    })
  }
}

Vue.use(_)
