export const state = () => ({
  data: {
    checklistInitialState: null,
    checklist: null,
    constructorChecklist: null
  }
})

export const getters = {
  getChecklistInitialState: state => state.data.checklistInitialState,
  getChecklist: state => state.data.checklist,
  getConstructorChecklist: state => state.data.constructorChecklist
}

export const mutations = {
  SET_CHECK_LIST(state, value) {
    state.data.checklist = JSON.parse(JSON.stringify(value))
  },
  SET_CONSTRUCTOR_CHECK_LIST(state, value) {
    state.data.constructorChecklist = JSON.parse(JSON.stringify(value))
  },
  SET_CHECK_LIST_INITIAL_STATE(state, value) {
    state.data.checklistInitialState = JSON.parse(JSON.stringify(value))
  }
}

export const actions = {
  setChecklist({ commit }, value) {
    commit('SET_CHECK_LIST', value)
  },
  setConstructorChecklist({ commit }, value) {
    commit('SET_CONSTRUCTOR_CHECK_LIST', value)
  },
  setChecklistInitialState({ commit }, value) {
    commit('SET_CHECK_LIST_INITIAL_STATE', value)
  },
  clearData({ commit }) {
    commit('SET_CHECK_LIST', null)
    commit('SET_CONSTRUCTOR_CHECK_LIST', null)
    commit('SET_CHECK_LIST_INITIAL_STATE', null)
  }
}
