export const state = () => ({
  indexPageItems: [],
  indexPageSettings: {},
  indexPage: ''
})

export const mutations = {
  ADD_ITEM(state, item) {
    state.indexPageItems = [item, ...state.indexPageItems]
  },

  PUSH_ITEM(state, item) {
    state.indexPageItems.push(item)
    state.indexPageSettings.totalCount = state.indexPageSettings.totalCount += 1
  },

  DELETE_ITEM(state, itemId) {
    state.indexPageItems = state.indexPageItems.filter(item => item.id !== itemId)
    state.indexPageSettings.totalCount = state.indexPageSettings.totalCount -= 1
  },

  SET_ITEMS(state, items) {
    state.indexPageItems = items
  },

  UPDATE_ITEM(state, item) {
    state.indexPageItems = state.indexPageItems.map((el) => {
      return el.id === item.id ? item : el
    })
  },

  SET_INDEX_PAGE(state, pageName) {
    state.indexPage = pageName
  },

  SET_INDEX_PAGE_SETTINGS(state, settings) {
    state.indexPageSettings = settings
  }
}

export const actions = {
  addIndexPageItem({ commit }, item) {
    commit('ADD_ITEM', item)
  },
  pushIndexPageItem({ commit }, item) {
    commit('PUSH_ITEM', item)
  },
  deleteIndexPageItem({ commit }, itemId) {
    commit('DELETE_ITEM', itemId)
  },
  updateIndexPageItem({ commit }, item) {
    commit('UPDATE_ITEM', item)
  },
  setIndexPageItems({ commit }, items) {
    commit('SET_ITEMS', items)
  },
  setIndexPage({ commit }, page) {
    commit('SET_INDEX_PAGE', page)
  },
  setIndexPageSettings({ commit }, settings) {
    commit('SET_INDEX_PAGE_SETTINGS', settings)
  }
}
