import { IInspectorsDatasetType, IInspectionsState } from '~/ts/interfaces'

export interface IChartData {
  labels: (string | number)[]
  datasets: any[]
}

export interface ISpecialistsChartData {
  labels: (string | number)[]
  datasets: ISpecialistsDataset[]
}

export interface ISpecialistsDataset {
  label: string
  datasetType: IInspectorsDatasetType
  backgroundColor: string
  borderColor: string
  data: number[]
  borderWidth: number
  todayCount: number
  link: boolean
  inspectionsPageFilter?: IInspectionsState
}

export interface IInspectorsStatisticResponseItem {
  day: number
  notWorking: number
  notWorkingByReason: number
  total: number
  working: number
  withoutInspections: number
}

export type IInspectorsStatisticResponse = IInspectorsStatisticResponseItem[]

export interface IInspectionsChartData {
  labels: (string | number)[]
  datasets: IInspectionsDataset[]
}

export interface IInspectionsDataset {
  label: string
  datasetType: IInspectionsState,
  backgroundColor: string
  borderColor: string
  data: number[]
  borderWidth: number
  todayCount: number
  monthCount: number
  link: boolean
  inspectionsPageFilter?: IInspectionsState
}

export interface IInspectionsStatisticResponseItem {
  day: number
  canceled: number
  finished: number
  planned: number
  remediationPlanned: number
  started: number
}

export type IInspectionsStatisticResponse = IInspectionsStatisticResponseItem[]
