import {
  IProjectType
} from '~/ts/interfaces'

export interface IChecklistIndexResponse {
  currentPage: number
  pageItems: number
  totalPages: number
  totalCount: number
  checklists: IChecklistIndex[]
}

export interface IChecklistIndex {
  id: number
  name: string
  projectType: IProjectType
  createdAt: string
}

export interface IChecklistCreatePayload {
  projectType: IProjectType | null
  rawData: string
  name: string
}

export interface IChecklistCreateResponse extends IChecklistIndex {
  rawData: string
}

export interface IChecklistUpdatePayload {
  projectType: IProjectType | null
  rawData: string
  name: string
}

export interface IChecklistUpdateResponse extends IChecklistIndex {
  rawData: string
}

export interface IChecklistShowResponse {
  id: number
  name: string
  projectType: IProjectType
  rawData: string
  createdAt: string
}

export interface IChecklistDeleteResponse {

}
