export interface IChecklistConstructor {
  name: string
  blocks: IChecklistConstructorBlock[]
}

export interface IChecklistConstructorBlock {
  id: number
  type: 'addBlock' | 'block'
  title: string
  children?: IChecklistConstructorGroup[]
}

export interface IChecklistConstructorGroup {
  id: number
  type: 'addGroup' | 'group'
  title: string
  children?: (IChecklistConstructorAddParameter | IChecklistConstructorParameter)[]
}

export interface IChecklistConstructorAddParameter {
  id: number
  title: string
  type: 'addParameter'
}

export interface IChecklistConstructorParameter {
  id: number
  title: string
  type: 'parameter'
  allowMany: boolean
  allowImage: boolean
  allowAudio: boolean
  allowVideo: boolean
  isImportant: boolean
  children: ICriteronGroup[],
  isGroupCriteriaExist: boolean
  criteria: IChecklistConstructorCriterion[]
  hint: string
}

export interface ICriteronGroup {
  id: number
  title: string
  type: 'criteriaGroup' | 'addCriterionGroup'
  criteria?: IChecklistConstructorCriterion[]
}

export interface IChecklistConstructorCriterion {
  id: number
  position: number
  isChecked?: boolean
}
