import {
  IProjectType,
  ITypeFields
} from '~/ts/interfaces'

export interface ICriterionIndex {
  id: number
  title: string
  inputType: ITypeFields
  position: number
  selectOptions: string[]
}

export interface ICriterionIndexResponse {
  currentPage: number
  pageItems: number
  totalPages: number
  totalCount: number
  criteria: ICriterionIndex[]
}

export interface ICriterionCreate {
  title: string
  inputType: ITypeFields
  projectType: IProjectType
  selectOptions?: string[]
}

export interface ICriterionUpdate {
  title: string
  inputType: ITypeFields
  projectType: IProjectType
  selectOptions?: string[]
}

export interface ICriterionShow {
  id: number
  title: string
  inputType: ITypeFields
  projectType: IProjectType
  selectOptions?: string[]
}
