import {
  IRangeFilter,
  ICommonIndexPayload
} from '~/ts/interfaces'

export interface IFileArchivesIndexResponse {
  currentPage: number
  pageItems: number
  totalPages: number
  totalCount: number
  fileArchives: IFileArchivesIndex[]
}

export interface IFileArchivesIndexPayload extends ICommonIndexPayload{
  filters: {
    inspectorId: {
      field: 'inspector_id',
      value: []
    },
    inspectableId: {
      field: 'inspectable_id',
      value: []
    },
    checklistId: {
      field: 'checklist_id',
      value: []
    },
    parameterId: {
      field: 'parameter_id',
      value: []
    },
    date: {
      field: 'date',
      range: IRangeFilter
    }
  }
}

export interface IFileArchivesIndex {
  id: number
  isGenerating: boolean
  isReady: boolean
  date: string
  inspectableId: number
  inspectableName: string
  inspectorId: number
  inspectorShortFullName: string
  totalFileCount: number
}

export interface IFileArchivesShowResponse {
  id: number
  files: []
}
