import {
  IMfcDivision,
  IMfcKind,
  IRepairPeriodIndex,
  ICommonIndexPayload
} from '~/ts/interfaces'

export interface IMfcIndexPayload extends ICommonIndexPayload{}

export interface IMfcIndexResponse {
  currentPage: number
  pageItems: number
  totalPages: number
  totalCount: number
  mfcs: IMfcIndex[]
}

export interface IMfcIndex {
  id: number
  name: string
  districtName: string
  territoryName: string
  address: string
  division: IMfcDivision
  kind: IMfcKind
}

export interface IMfcCreatePayload {
  name: string
  districtId: number | null
  territoryId: number | null
  address: string
  latitude: string
  longitude: string
  division: IMfcDivision | null
  kind: IMfcKind | null
  comment: string
}

export interface IMfcUpdatePayload {
  name: string
  districtId: number | null
  territoryId: number | null
  address: string
  latitude: string
  longitude: string
  division: IMfcDivision | null
  kind: IMfcKind | null
  comment: string
}

export interface IMfcShowResponse {
  id: number
  name: string
  address: string
  division: IMfcDivision
  kind: IMfcKind
  latitude: string
  longitude: string

  district: IMfcShowDistrict
  territory: IMfcShowTerritory

  repairPeriods: IRepairPeriodIndex[]
}

export interface IMfcShowDistrict {
  id: number
  name: string
}

export interface IMfcShowTerritory {
  id: number
  name: string
}

export interface IMfcDeleteResponse {

}
