import {
  IPoliclinicSize,
  IPoliclinicKind,
  IRepairPeriodIndex,
  ICommonIndexPayload
} from '~/ts/interfaces'

export interface IPoliclinicCreate {
  name: string
  districtId: number | null
  address: string
  latitude: string
  longitude: string
  population: number | null
  floors: number | null
  kind: IPoliclinicKind
  size: IPoliclinicSize
  comment: string
  timeToInspectMinutes: number | null
}

export interface IPoliclinicUpdate {
  name: string
  districtId: number | null
  address: string
  latitude: string
  longitude: string
  population: number | null
  floors: number | null
  kind: IPoliclinicKind
  size: IPoliclinicSize
  comment: string
  timeToInspectMinutes: number | null
}

export interface IPoliclinicShow {
  id: number
  name: string
  kind: IPoliclinicKind
  size: IPoliclinicSize
  address: string
  population: number
  floors: number
  latitude: string
  longitude: string
  comment: string
  district: IPoliclinicShowDistrict
  administrativeDistrict: IPoliclinicShowAdministrativeDistrict
  repairPeriods: IRepairPeriodIndex[]
}

export interface IPoliclinicShowDistrict {
  id: number
  name: string
}

export interface IPoliclinicShowAdministrativeDistrict {
  id: number
  name: string
}

export type ITypePoliclinic = 's' | 'm' | 'l' | 'xl'
export type ISizePoliclinic = 'children' | 'adult' | 'adult_and_children'

export interface IPoliclinic {
  id: number
  name: string
  size: ISizePoliclinic
  kind: ITypePoliclinic
  address: string
  districtName: string
  administrativeDistrictName: string
  timeToInspectMinutes: number
}

export interface IPoliclinicPayload extends ICommonIndexPayload{}

export interface IPoliclinicsIndexResponse {
  currentPage: number
  pageItems: number
  totalPages: number
  totalCount: number
  policlinics: IPoliclinic[]
}

export interface IPoliclinicSizeCodeBooks {
  id: ITypePoliclinic
  name: string,
  timeToInspectMinutes: number
}
