import {
  IUserRole,
  IProjectType,
  IGender,
  ICommonIndexPayload,
  UserState
} from '~/ts/interfaces'

export interface IUserIndex {
  id: number
  firstName: string
  lastName: string
  middleName: string
  email: string
  phone: string
  role: IUserRole
  projectType: IProjectType
  gender: IGender
  state: UserState
}

export interface IUserIndexResponse {
  currentPage: number
  pageItems: number
  totalPages: number
  totalCount: number
  users: IUserIndex[]
}

export interface IUserIndexPayload extends ICommonIndexPayload {}

export interface IUserCreate {
  firstName: string
  lastName: string
  middleName: string
  email: string
  phone: string
  role: IUserRole
  projectType: IProjectType
  gender: IGender
  curatorId: number | null
}

export interface IUserUpdate {
  firstName: string
  lastName: string
  middleName: string
  email: string
  phone: string
  role: IUserRole
  projectType: IProjectType
  gender: IGender
  curatorId: number | null
}

export interface IUserShow {
  id: number
  firstName: string
  lastName: string
  middleName: string
  role: IUserRole
  email: string
  phone: string
  createdAt: string
  gender: string
  curatorId: number
  projectType: IProjectType
  state: UserState
}

export interface IUserPromiseSettledResult {
  status: 'fulfilled' | 'rejected'
  value?: IUserShow
  reason?: number
}

export interface IUserMainInfo {
  id: number
  firstName: string
  lastName: string
  middleName: string
}
