import {
  ICommonCreateResponse,
  ICommonUpdateResponse,
  ICommonIndexPayload
} from '~/ts/interfaces'

export interface IVacationIndex {
  id: number
  startsAt: string
  endsAt: string
  userName: string
  userId: number
  projectType: string
}

export interface IVacationIndexResponse {
  currentPage: number
  pageItems: number
  totalPages: number
  totalCount: number
  vacations: IVacationIndex[]
}

export interface IVacationIndexPayload extends ICommonIndexPayload{
  filters: {
    curatorId: {
      field: 'user.curator_id',
      value: string[]
    },
    startsAt: {
      field: 'starts_at',
      value: string[]
    },
    endsAt: {
      field: 'ends_at',
      value: string[]
    },
    projectType: {
      field: 'user.project_type',
      value: string[]
    }
  }
}

export interface IVacationCreate {
  userId: number
  startsAt: string
  endsAt: string
}

export interface IVacationCreateResponse extends ICommonCreateResponse{}

export interface IVacationUpdate {
  userId: number
  startsAt: string
  endsAt: string
}

export interface IVacationUpdateResponse extends ICommonUpdateResponse {}

export interface IVacationShow {
  id: number
  startsAt: string
  endsAt: string
  userName: string
}
