import { IInspectionShowResponse } from '@/ts/interfaces/index'

export type DayOfWeek = 'ВС' | 'ПН' | 'ВТ' | 'СР' | 'ЧТ' | 'ПТ' | 'СБ'
export type DayKind = 'working' | 'non_working' | 'sick' | 'vacation' | 'without_hours' | 'user_non_working'// last value only for front

export interface ICellHeader {
  dayOfWeek: DayOfWeek
  isActive: boolean
  isOutput: boolean
  isWeekend: boolean
  numberOfMonth: number
}

export interface IScheduleCellContent {
  id: number
  isActive: boolean
  kind: DayKind
  workingHours: number | string
  inspections: IInspectionShowResponse[] | any[]
  isInspectionsExist: boolean
}

export interface IScheduleRow {
  id: number
  calendarDays: IScheduleCellContent[]
  curator: { id: number, shortFullName: string }
  shortFullName: string
}

export interface IDay {
  date: string
  id: number
  kind: DayKind
}

export interface IWorkScheduleDay {
  date: string
  id: number
  isInspectionsExist: boolean
  kind: DayKind
  workingHours: number
}

export interface ITableEvent {
  x: number
  y: number
  ctrlKey: boolean
  metaKey: boolean
}

export interface IWorkSchedulesShowResponse {
  users: IScheduleRow[]
  nonWorkingDays: IDay[]
}

export interface IWorkSchedulesDeleteResponse {
  code: number
  jobId: string
}

export interface IWorkSchedulesCreateResponse {
  month: string
  jobId: string
}
